Last updated: October 24, 2026
Password grant
Exchange username and password for tokens.
Request
POST
https://test.miniorange.in/moas/rest/oauth/tokenAuthentication headers (required on every request)
- Customer-Key
- Integer — your account customer key
- Timestamp
- Milliseconds since epoch (e.g. Date.now())
- Authorization
- SHA-512 of customerKey + timestamp + apiKey
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| grant_type | String | Required | password |
| username | String | Required | User login |
| password | String | Required | User password |
| client_id | String | Required | OAuth client ID |
| client_secret | String | Required | OAuth client secret |